%define gitname control-center

Summary:  The %{_vendor} Control Center
Name:     drakconf
Version:  13.16
Release:  %mkrel 1
# https://gitweb.mageia.org/software/control-center/
Source0:  http://gitweb.mageia.org/software/control-center/snapshot/%{gitname}-%{version}.tar.xz
License:  GPLv2+
Group:    System/Configuration
Url:      https://www.mageia.org

BuildArch: noarch

BuildRequires: drakxtools-backend
BuildRequires: gettext
BuildRequires: intltool
BuildRequires: perl_checker

Requires: drak3d
Requires: drakconf-icons = %{version}
Requires: drakx-kbd-mouse-x11
Requires: drakx-net-applet
Requires: drakxtools
Requires: harddrake-ui
Requires: mageia-release
Requires: polkit
Requires: polkit-agent
Requires: userdrake
# for drakconsole:
Requires: typelib(Vte) => 2.91

Recommends: drakguard
#Recommends: draksnapshot # needs to be cleant
Recommends: mgaonline
Recommends: msec-gui
Recommends: rpmdrake
Recommends: system-config-printer
Recommends: transfugdrake

# else embedding won't work under Wayland (mga#19498, #20104):
Requires: x11-server-xwayland

%description
drakconf includes the %{_vendor} Control Center which is an interface to
multiple utilities from DrakXtools.

%package icons
Summary:  Icons of the %{_vendor} Control Center
Group:    Graphical desktop/Other

%description icons
This package hold icons of the %{_vendor} Control Center used in
tools' banners.

%prep
%setup -q -n %{gitname}-%{version}
%autopatch -p1

%install
%make_install

#install lang
%find_lang %{name}

#install menu
mkdir -p %{buildroot}%{_datadir}/applications
install -m644 drakconf.desktop %{buildroot}%{_datadir}/applications/%{_real_vendor}-drakconf.desktop

# install symlink to hicolor icon, IceWM still needs it (mga#18682)
install -d %{buildroot}%{_iconsdir}
ln -s hicolor/48x48/apps/%{name}.png %{buildroot}%{_iconsdir}/%{name}.png

install -d %{buildroot}%{_sysconfdir}
touch %{buildroot}%{_sysconfdir}/mcc.conf

ln -s %{name} %{buildroot}%{_bindir}/mcc
ln -s %{_bindir}/%{name} %{buildroot}%{_sbindir}

(cd %{buildroot} ; find usr -type f \( -name "*.png" -o -name "*.svg" \) -printf "/%%p\n") > images-big.list
perl -ni -e '/128/ ? print : print STDERR $_ ' images-big.list 2> images.list
cat images-big.list >> %{name}.lang

%files icons -f images.list

%files -f %{name}.lang
%doc COPYING
%config(noreplace) %ghost %{_sysconfdir}/mcc.conf
%config(noreplace) %{_sysconfdir}/sysconfig/mcc.conf
%{_bindir}/drakconf
%{_bindir}/drakxconf
%{_bindir}/mcc
%{_bindir}/mdkwebadmin.pl
%{_sbindir}/drakconf
%{_sbindir}/drakconsole
%{_sbindir}/menus_launcher.pl
%{_libexecdir}/drakconf
%{_libexecdir}/drakxconf
%{_datadir}/applications/%{_real_vendor}-drakconf.desktop
%{_datadir}/polkit-1/actions/*.policy
%{perl_vendorlib}/MDV/Control_Center.pm
%dir %{_datadir}/mcc
%{_datadir}/mcc/progs.conf
%dir %{_datadir}/mcc/themes/
%dir %{_datadir}/mcc/themes/default
%{_datadir}/mcc/themes/default/mcc.css
%{_iconsdir}/%{name}.png


%changelog
* Mon Jun 05 2017 akien <akien> 13.16-1.mga6
+ Revision: 1106886
- Version 13.16, translation updates

* Mon Apr 03 2017 tv <tv> 13.15-1.mga6
+ Revision: 1095784
- better message for missing pkgs (mga#20614)
- really drop legacy loaders for drakbackup, drakmenustyle and tomoyo-gui
  (mga#18572)
- simplify by using Gtk+ animations instead of our own manual one
  thus preventing delayed action to happen before first draw signal due to bad
  timing (mga#19827)

* Thu Mar 30 2017 tv <tv> 13.14-1.mga6
+ Revision: 1095328
- drop legacy loaders for drakbackup, drakmenustyle and tomoyo-gui
  (mga#18572)
- fix webkit 2.16.x regression where one cannot click anymore on links
- write wekbit console messages to stdout if using --testing

* Sat Mar 11 2017 akien <akien> 13.13-1.mga6
+ Revision: 1091815
- Version 13.13 (mga#20362)

* Tue Jan 17 2017 ennael <ennael> 13.12-1.mga6
+ Revision: 1082190
- Mageia 6 design for mcc (Thanks Djac73)

* Thu Jan 12 2017 tv <tv> 13.11-1.mga6
+ Revision: 1081174
- force gtk+3 to use the x11 backend, even on wayland (mga#19498)
  (we rely on xwayland)
- requires x11-server-xwayland else embedding won't work under Wayland

* Tue Nov 08 2016 tv <tv> 13.10-1.mga6
+ Revision: 1065908
- fix using --geometry with a position

* Wed Nov 02 2016 tv <tv> 13.9-1.mga6
+ Revision: 1064744
- fix centering wait message + blinking icon while loading a tool
- fix display "please wait" message while loading a tool

* Mon Oct 31 2016 tv <tv> 13.8-1.mga6
+ Revision: 1064324
- fix gtk+ warnings about deprecated style property
- fix the "Display Logs" option doing nothing (mga#19147)
- re-enable startup animation
  (it was disabled since switching from gtk+2 to gtk+3)

* Thu Oct 13 2016 tv <tv> 13.7-4.mga6
+ Revision: 1060644
- requires polkit-agent (mga#19129)

* Sun Sep 18 2016 tv <tv> 13.7-3.mga6
+ Revision: 1053613
- remove doble BR on perl_checker

* Wed Jun 15 2016 akien <akien> 13.7-2.mga6
+ Revision: 1021556
- Add drakconf.png symlink for IceWM that does not use hicolor (mga#18682)

* Sat May 28 2016 akien <akien> 13.7-1.mga6
+ Revision: 1019140
- Version 13.7
- Use gitweb snapshot URL to sync sources
- Do not recommend non-existing drakmenustyle
- Be more explicit in %%files listing
- Clean and modernize spec file
  o Order BuildRequires, Requires and Recommends alphabetically
  o Use %%make_install macro

* Fri Apr 15 2016 tv <tv> 13.6-1.mga6
+ Revision: 1001668
- fix untranslatable strings (mga#18201)
- auto adjust translations accordingly

* Tue Apr 12 2016 akien <akien> 13.5-1.mga6
+ Revision: 1000900
- Version 13.5, new icons

* Fri Mar 25 2016 ennael <ennael> 13.4-1.mga6
+ Revision: 995359
- New design (Animtim)

* Fri Mar 18 2016 tv <tv> 13.3-1.mga6
+ Revision: 992810
- port to WebKit2 (mga#15031)
  (as a side effect, resident memory is lower :-) )
- explicitely disable plugins & java

* Wed Feb 24 2016 tv <tv> 13.2-1.mga6
+ Revision: 978591
- adapt to draktools library changes

* Sat Jan 02 2016 tv <tv> 13.1-1.mga6
+ Revision: 918393
- adapt to drakboot -> drakautologin split

* Sun Dec 20 2015 tv <tv> 13.0-1.mga6
+ Revision: 912532
- requires typelib(Vte) for drakconsole

* Sun Dec 20 2015 tv <tv> 13.0-0.1.mga6
+ Revision: 912498
- switch from gt+2 to gtk+3:
  o disable startup animation for now
  o checkitems temporary disabled in menu
- drakconsole:
  o switch to Vte-3

* Sun Jun 28 2015 sander85 <sander85> 12.60-2.mga6
+ Revision: 846684
- Rebuild for perl 5.22

* Mon May 18 2015 tv <tv> 12.60-1.mga5
+ Revision: 822246
- translation update

* Sun May 03 2015 tv <tv> 12.59-1.mga5
+ Revision: 821165
- translation update

* Mon Apr 13 2015 akien <akien> 12.58-1.mga5
+ Revision: 820130
- Version 12.58:
  o Add Mageia logo on drakconf banner
  o Translation update

* Tue Mar 17 2015 tv <tv> 12.57-1.mga5
+ Revision: 818737
- update copyright years (mga#14482)

* Thu Feb 26 2015 lmenut <lmenut> 12.56-1.mga5
+ Revision: 817083
- try to reduce delay b/c it could cause unexpected exit from mcc

* Mon Feb 23 2015 lmenut <lmenut> 12.55-1.mga5
+ Revision: 816611
- add delay to prevent black background with oxygen-gtk3 (mga#11969)

* Mon Feb 09 2015 ennael <ennael> 12.54-1.mga5
+ Revision: 814302
- update translations
- fix a gtk warning

* Wed Feb 04 2015 lmenut <lmenut> 12.53-2.mga5
+ Revision: 813487
- try to fix black background in mcc with oxygen-gtk3 (mga#11969)

* Wed Dec 17 2014 akien <akien> 12.53-1.mga5
+ Revision: 803816
- Remove patch already in 12.53
- Mageia 5 artwork integration + translation updates (12.53)

* Wed Oct 15 2014 umeabot <umeabot> 12.52-4.mga5
+ Revision: 745014
- Second Mageia 5 Mass Rebuild

* Thu Sep 18 2014 tv <tv> 12.52-3.mga5
+ Revision: 695870
- exclude lower case perl reqs (not in std path)

* Tue Sep 16 2014 umeabot <umeabot> 12.52-2.mga5
+ Revision: 678833
- Mageia 5 Mass Rebuild

  + tv <tv>
    - use %%global for req/prov exclude
    - autoconvert to new prov/req excludes
    - s/uggests:/Recommends:/

* Thu Jul 10 2014 tv <tv> 12.52-1.mga5
+ Revision: 651116
- fix not displaying contributors in about dialog (mga#13093)
- fix doble fork (Colin Guthrie)

* Sat Jan 25 2014 colin <colin> 12.51-1.mga4
+ Revision: 568157
- Avoid double fork problems mga#11184 mga#12364

* Wed Jan 08 2014 tv <tv> 12.50-1.mga4
+ Revision: 565509
- better fix for segfault on startup (mga#10289)

* Tue Jan 07 2014 tv <tv> 12.49-1.mga4
+ Revision: 565379
- delay starting up logdrake, thus fixing segfault on startup when "Display
  Logs" option is set (mga#10289)

* Sun Jan 05 2014 ennael <ennael> 12.48-1.mga4
+ Revision: 564758
- Mageia 4 design

* Sat Dec 28 2013 tv <tv> 12.47-1.mga4
+ Revision: 562906
- try harder to prevent segfaulting in SIG_CHLD when temporary webkit threads
  exit on init: delay setting CHLD handler on forking the 1st tool (mga#10289)

* Sat Dec 21 2013 tv <tv> 12.46-1.mga4
+ Revision: 559369
- fix segfault when webkit creates threads for good (mga#10289)
- reduce delay for the --start-with=xxx option

* Tue Dec 17 2013 dams <dams> 12.45-2.mga4
+ Revision: 558221
- add back %%{_real_vendor} to fix mga#12014

* Fri Dec 13 2013 tv <tv> 12.45-1.mga4
+ Revision: 556596
- further delay event for slow machines (mga#10289)

* Sun Nov 17 2013 colin <colin> 12.44-1.mga4
+ Revision: 551665
- New version: 12.44

* Tue Oct 22 2013 umeabot <umeabot> 12.43-3.mga4
+ Revision: 541633
- Mageia 4 Mass Rebuild

* Sun Oct 13 2013 colin <colin> 12.43-2.mga4
+ Revision: 496269
- Add compatibility symlink for drakconf to sbin

* Sun Oct 13 2013 colin <colin> 12.43-1.mga4
+ Revision: 496217
- New version: 12.43

* Sun Sep 29 2013 tv <tv> 12.42-2.mga4
+ Revision: 488717
- rebuild with fixed rpm (missing suggests tags)

* Thu Sep 05 2013 ennael <ennael> 12.42-1.mga4
+ Revision: 475255
- remove unneeded patch
- fix path in drakconf desktop file

  + colin <colin>
    - Replace hardcoded paths to subtools with a (slightly) dynamic search system

* Thu Sep 05 2013 tmb <tmb> 12.41-4.mga4
+ Revision: 475212
- fix path to drakconf

* Thu Sep 05 2013 tmb <tmb> 12.41-3.mga4
+ Revision: 475208
- fix path to rpmdrake, net_monitor and edit-urpm-sources.pl

* Wed Sep 04 2013 tmb <tmb> 12.41-2.mga4
+ Revision: 475191
- fix path to XFdrake, keyboarddrake, mousedrake and MageiaUpdate

* Wed Sep 04 2013 ennael <ennael> 12.41-1.mga4
+ Revision: 475145
- fix menu including rpmdrake (#11142)

  + colin <colin>
    - Simplify the 'mcc' symlink
    - Do not include unneeded symlink in /usr/sbin/.

* Sun Sep 01 2013 colin <colin> 12.40-1.mga4
+ Revision: 474101
- New Version: 12.40
- o Switch to polkit for authorisation (mga#11125)
- o Delay splash event for slow machines - related to glib crash (mga#10289)
- Fix macro usage as per policy

* Tue Jun 18 2013 tv <tv> 12.39-1.mga4
+ Revision: 444750
- workaround crash with glib-2.36+ (mga#10289)

* Sun Apr 21 2013 tv <tv> 12.38-1.mga3
+ Revision: 410649
- translations updates

* Tue Feb 19 2013 schultz <schultz> 12.37-1.mga3
+ Revision: 399436
- 12.37
-fix left-background-filler

* Sun Feb 17 2013 schultz <schultz> 12.35-1.mga3
+ Revision: 398860
- 12.35 - fix left-background-filler
- 12.34 - mga3 artwork

* Wed Jan 23 2013 fwang <fwang> 12.33-3.mga3
+ Revision: 391411
- update rpm group
- update rpm group

* Fri Jan 11 2013 umeabot <umeabot> 12.33-2.mga3
+ Revision: 349084
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Dec 13 2012 tv <tv> 12.33-1.mga3
+ Revision: 330544
- fix text position over splash screen (mga#5873)
- popup a confirm dialog before exiting
- track main_window (should fix quite some dialog placement bugs)

* Thu Dec 06 2012 tv <tv> 12.32-1.mga3
+ Revision: 327344
- fix a crash (mga#6982)
- prevent running internal text mode UI in graphical mode (mga#7161)
- translations updates

* Fri Aug 24 2012 tv <tv> 12.31-1.mga3
+ Revision: 283756
- help fix for Network Sharing

* Sat May 12 2012 ennael <ennael> 12.29-1.mga3
+ Revision: 235514
- use new icon for about splash
- fix splash screen #5873

* Thu May 10 2012 schultz <schultz> 12.28-1.mga2
+ Revision: 235040
- 12.28 - add new ups icon (mga#281)

* Mon Apr 30 2012 ennael <ennael> 12.27-1.mga2
+ Revision: 234410
- new logos and temporary splash

* Fri Apr 13 2012 ennael <ennael> 12.26-1.mga2
+ Revision: 230649
- tremporary splash screen

* Thu Apr 12 2012 ennael <ennael> 12.25-1.mga2
+ Revision: 230492
- fix left background

* Sun Apr 08 2012 ennael <ennael> 12.24-1.mga2
+ Revision: 229766
- 12.24

* Sat Mar 24 2012 tv <tv> 12.23-1.mga2
+ Revision: 226013
- updated translations
- replace very old versionnated requires by simpler requires
- drop require on popt (really lib{,64}popt0
- clean doble requires & old versionnated requires
- drop very old conflicts

* Wed Jan 25 2012 tv <tv> 12.22.1-2.mga2
+ Revision: 201212
- suggests msec-gui now that it isn't pulled in basesystem

* Sat Dec 10 2011 tv <tv> 12.22.1-1.mga2
+ Revision: 180273
- further update Release Notes URL

* Sat Dec 10 2011 tv <tv> 12.22-1.mga2
+ Revision: 180081
- fix Errata URL (mga#3603)
- update Release Notes URL according to mga1?\194?\160practice

  + pterjan <pterjan>
    - Cleanup a bit the spec

* Fri May 27 2011 ennael <ennael> 12.21.9-2.mga1
+ Revision: 100577
- remove drakfax

* Tue May 24 2011 ennael <ennael> 12.21.9-1.mga1
+ Revision: 100311
- fix left background

* Mon May 23 2011 ennael <ennael> 12.21.8-2.mga1
+ Revision: 100271
- clean old suggests and requires
- remove for now draksnapshot suggests as it needs to be improved a lot

* Thu May 19 2011 ennael <ennael> 12.21.8-1.mga1
+ Revision: 99747
- redraw drakconf icons and splash

* Thu May 19 2011 tv <tv> 12.21.7-1.mga1
+ Revision: 99716
- use proper unicode character for (TM) (mga#473)

* Sun May 15 2011 ennael <ennael> 12.21.6-1.mga1
+ Revision: 99181
- remove beta in left background

* Sat May 14 2011 ahmad <ahmad> 12.21.5-1.mga1
+ Revision: 98785
- Update to 12.21.5:
  o Adapt to the update applet name change (it's now mgaapplet*)

* Thu Apr 21 2011 ennael <ennael> 12.21.4-1.mga1
+ Revision: 89402
- remove extended maintainance

* Mon Apr 04 2011 ennael <ennael> 12.21.3-1.mga1
+ Revision: 80299
- update left background filling

* Sun Apr 03 2011 ennael <ennael> 12.21.2-1.mga1
+ Revision: 80004
- update left background

* Sun Feb 20 2011 ahmad <ahmad> 12.21.1-1.mga1
+ Revision: 54470
- MandrivaUpdate is now MageiaUpate, change the icon file names too

* Tue Feb 15 2011 ahmad <ahmad> 12.21-3.mga1
+ Revision: 52027
- don't use separate SOURCES for icons, copy them from the %%_builddir

* Tue Feb 15 2011 ahmad <ahmad> 12.21-2.mga1
+ Revision: 52020
- use new icons

* Mon Feb 14 2011 ennael <ennael> 12.21-1.mga1
+ Revision: 51641
+ rebuild (emptylog)

* Mon Feb 14 2011 ennael <ennael> 12.20.1-2.mga1
+ Revision: 51592
- move to drakx-net-applet require

* Mon Feb 14 2011 dmorgan <dmorgan> 12.20.1-1.mga1
+ Revision: 51587
- Fix drakconf start

* Sun Feb 06 2011 dmorgan <dmorgan> 12.20-1.mga1
+ Revision: 47724
- imported package drakconf

